﻿using System;

namespace Astronomy
{
	/// <summary>
	/// Луна - небесен обект (CelestialObject), спътник (IMoon)
	/// </summary>
	public class Moon : CelestialObject, IMoon
	{
		private readonly IPrimary _primary;

		#region IMoon Members

		public IPrimary Primary
		{
			get { return this._primary; }
		}

		public long DistanceToPrimary { get; set; }

		public TimeSpan RevolutionPeriod { get; set; }

		#endregion

		public Moon(string name, IPrimary primary)
			: base(name)
		{
			this._primary = primary;
		}

		#region IDumpable Members

		public override void Dump()
		{
			Console.WriteLine("Begin Moon '{0}'.", Name);

			Console.WriteLine("End Moon '{0}'.", Name);
		}

		#endregion
	}
}
