﻿using System;

namespace Astronomy
{
	internal class Program
	{
		private static void Main(string[] args)
		{
			Galaxy galaxy = new Galaxy("Milky Way");

			Star sun = new Star("Sun");

			SolarSystem solarSystem = new SolarSystem("Solar System", sun);
			galaxy.SolarSystems.Add(solarSystem);

			Planet earth = new Planet("Earth", sun);
			sun.Moons.Add(earth);

			Moon moon = new Moon("Moon", earth);
			earth.Moons.Add(moon);

			Satellite iss = new Satellite("International Space Station", earth);
			earth.Moons.Add(iss);

			Satellite sputnik = new Satellite("Sputnik", earth);
			earth.Moons.Add(sputnik);

			//Planet saturn = new Planet("Saturn", sun);
			//sun.Moons.Add(saturn);

			//Planet pluto = new Planet("Pluto", sun);
			//sun.Moons.Add(pluto);

			galaxy.Dump();

			Universe universe1 = Universe.Create();
			Universe universe2 = Universe.Create();

			Console.ReadLine();
		}
	}
}
