﻿using System;
using System.Collections.Generic;

namespace Astronomy
{
	/// <summary>
	/// Слънчева система - небесен обект.
	/// </summary>
	public class SolarSystem : CelestialObject
	{
		private readonly List<Asteroid> _asteroids;
		private readonly Star _sun;

		/// <summary>
		/// Списък от астероиди в слънчевата система
		/// </summary>
		public List<Asteroid> Asteroids
		{
			get { return this._asteroids; }
		}

		/// <summary>
		/// Звезда на слънчевата система
		/// </summary>
		public Star Sun
		{
			get { return this._sun; }
		}

		public SolarSystem(string name, Star sun)
			: base(name)
		{
			this._asteroids = new List<Asteroid>();
			this._sun = sun;
		}

		#region IDumpable Members

		public override void Dump()
		{
			Console.WriteLine("Begin Solar System '{0}'.", Name);

			Console.WriteLine("Sun:");
			this._sun.Dump();

			Console.WriteLine("Asteroids:");
			foreach (Asteroid asteroid in this._asteroids)
			{
				asteroid.Dump();
			}

			Console.WriteLine("End Solar System '{0}'.", Name);
		}

		#endregion
	}
}
