﻿using System;

namespace Lights
{
	internal class Program
	{
		/// <summary>
		/// Показва състоянието на светлината
		/// </summary>
		/// <param name="light">Светлината като обект</param>
		private static void ShowState(Light light)
		{
			Console.WriteLine("On = {0}; Intensity = {1}", light.IsOn, light.Intensity);
		}

		private static void Main(string[] args)
		{
			// Създава светлина и показва състоянието
			Light light = new Light();
			ShowState(light);

			// Включва светлината и показва състоянието
			light.TurnOn();
			ShowState(light);

			// Осветява и показва състоянието
			light.Brighten(15);
			ShowState(light);

			// Притъмнява и показва състоянието
			light.Dim(10);
			ShowState(light);

			// Осветява и показва състоянието
			light.Brighten(150);
			ShowState(light);

			// Изключва светлината и показва състоянието
			light.TurnOff();
			ShowState(light);

			Console.ReadLine();
		}
	}
}
