﻿using System;

namespace Persons
{
	/// <summary>
	/// Физическо лице
	/// </summary>
	public class NaturalPerson : Person
	{
		/// <summary>
		/// Име
		/// </summary>
		public string FirstName;

		/// <summary>
		/// Презиме
		/// </summary>
		public string MiddleName;

		/// <summary>
		/// Фамилия
		/// </summary>
		public string LastName;

		/// <summary>
		/// Моминско име
		/// </summary>
		public string MaidenName;

		/// <summary>
		/// Gets the full name of the person.
		/// </summary>
		/// <returns>The full name of the person</returns>
		public override string GetFullName()
		{
			return FirstName + " " + MiddleName + " " + LastName;
		}

		/// <summary>
		/// Gets the full name of the person.
		/// </summary>
		/// <param name="includeMiddleName">Whether to include the middle name or not</param>
		/// <returns>The full name of the person</returns>
		public string GetFullName(bool includeMiddleName)
		{
			if (includeMiddleName)
			{
				return FirstName + " " + MiddleName + " " + LastName;
			}
			else
			{
				return FirstName + " " + LastName;
			}
		}

		/// <summary>
		/// Презаписва базовия метод. Този обаче се изпълнява,
		/// само ако е извикан върху обект от клас NaturalPerson.
		/// </summary>
		public new void Introduce()
		{
			Console.WriteLine("I am a natural person who doesn't want to introduce themselves.");
		}

		protected override void OnSaving()
		{
			base.OnSaving();

			Console.WriteLine("Saving a natural person.");
		}

		protected override void OnSaved()
		{
			base.OnSaved();

			Console.WriteLine("Saved a natural person.");
		}
	}
}
